%define ver	3.2
%define skyver	2.4
%define skydir  skyutils-%{skyver}
%define rel	1rh73

Summary:	interface to internet SMS forwarding services
Summary(fr):	Interface aux services SMS d'internet
Summary(de):	Schnittstelle zu Internet-SMS-Diensten
Name:		smssend
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Applications/Internet
Source:		http://zekiller.skytech.org/fichiers/%{name}/%{name}-%{ver}.tar.gz
Source1:	http://zekiller.skytech.org/fichiers/skyutils-%{skyver}.tar.gz
#Patch1:		skyutils-%{skyver}-define_SU_PrintDebug.patch
URL:		http://zekiller.skytech.org/smssend_menu_en.html
Icon:		smssend.r380world.xpm
BuildRoot:	%{_tmppath}/%{name}-%{ver}-root
Vendor:		Christophe Calmejane <zekiller@skytech.org>

%description
smssend is a utility providing a command line interface to
the GSM Short Message Service (SMS) via internet gateways.
It requires an active internet connection (HTTP proxy is
suitable) and may require a registration for such gateways.
The program is quite configurable for other gateways than
provided, and also allows determination of form field values
during runtime. Examples are included.

Please keep in mind that these internet to SMS gateways may
not tolerate their usage via scripts and may even forbid it.
 
%description -l fr
smssend est un utilitaire qui fournit une interface sur la
ligne de commande pour les services de messages SMS
(Short Message Service) des GSM via des passerelles internet.
Il ncessite une connection internet et ventuellement un
enregsitrement auprs de ces sites. Le programme est hautement
configurable et permet l'ajout simple de nouveaux sites.

%description -l de
smssend ist ein Hilfsprogramm um Internet-Dienste von der
Befehlszeile anzusprechen, die das Versenden von Nachrichten
des "Short Message Service" (SMS) zu GSM-Telefonen erlauben. Es
bentigt dazu Internet-Zugriff (ein HTTP-Proxy gengt) und
eventuell eine Registrierung bei diesen Diensten. Das Programm
ist recht konfigurierbar, und kann daher auch fr andere Dienste
als die schon vorkonfigurierten verwendet werden. Dabei knnen
Eingabewerte fr HTML-Forms auch zur Laufzeit bestimmt werden.
Beispiele sind anbei.

Bitte bercksichtige, dass einige Dienste eventuell ihre
automatisierte Verwendung nicht tolerieren oder gar verbieten.

%prep
# also setup Source1:
%setup -q -a 1
#%patch1 -p0

%build
{ (	cd %{skydir} && \
	%configure --disable-shared --enable-static --libdir=${PWD}/src/.libs && \
	make) || \
	exit 1
}
%configure --with-skyutils=${PWD}/%{skydir}

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
cp -p %{skydir}/README %{skydir}/README.skyutils
cp -p %{skydir}/ChangeLog %{skydir}/ChangeLog.skyutils
cp -p %{skydir}/AUTHORS %{skydir}/AUTHORS.skyutils
cp -p %{skydir}/COPYING %{skydir}/COPYING.skyutils

%clean
rm -rf $RPM_BUILD_ROOT

#%post

#%postun

%files
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/smssend/*

%doc AUTHORS COPYING License.txt ChangeLog README
%doc %{skydir}/AUTHORS.skyutils %{skydir}/COPYING.skyutils
%doc %{skydir}/ChangeLog.skyutils %{skydir}/README.skyutils

%changelog
* Wed Feb 19 2003 Moritz Barsnick <moritz+rpm@barsnick.net> 3.2-1rh73
- rebuild on RedHat 7.3 with openssl-0.9.6b
- therefore remove kerberos hacks

* Sat Feb 15 2003 Moritz Barsnick <moritz+rpm@barsnick.net> 3.2-1
- update to version 3.2 of smssend and version 2.4 of skyutils
- smssend now unpacks into smssend-%%{version} like any program does
- same for skyutils
- disable the skyutils patch
- add include hack for OpenSSL/Kerberos include bug
  (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=82369)
- no "License" %%doc in skyutils anymore

* Mon Apr 29 2002 Moritz Barsnick <moritz+rpm@barsnick.net> 3.1-1
- update to version 3.1 of smssend and version 2.1 of skyutils

* Sun Apr 21 2002 Moritz Barsnick <moritz+rpm@barsnick.net> 3.0-2
- fix the skyutils source URL
- remove spurious line in %build section

* Sat Apr 20 2002 Moritz Barsnick <moritz+rpm@barsnick.net> 3.0-1
- update to 3.0
- there are now separate sources for smssend and skyutils
- update the patch for the illegal #define
- remove the other patches, they're obsoleted
- force a peculiar patch to skyutils, because its skyutils-config script
  passes it as a full patch to the referencing smssend
- remove the NEWS file from %doc
- add the separate skyutils documentation to %doc

* Wed Dec 12 2001 Moritz Barsnick <moritz+rpm@barsnick.net> 2.9-2
- add some changes from Eric Lassauge <lassauge@mail.dotcom.fr> (thanks!):
  - add French translations
  - change Group to Applications/Internet
  - add an icon to the package (a different one than Eric ;->)
- add German translations

* Tue Nov 27 2001 Moritz Barsnick <moritz+rpm@barsnick.net> 2.9-1
- update to 2.9
- the configure patches (LIB order and "echo" on systems without "-n"
  option) are obsoleted (thank you, ZeKiller!  ;->)
- update the no_billiger patch - no, the billger script will never ever work
  again
- disable the scripts patch - Eric's patches are upstream, so it's just for
  beauty and I'm too lazy to adapt it to 2.9 ;-)
- add a patch for an illegal #define in skyutils.h (at least with my
  compiler under Linux, YMMV)

* Thu Oct 18 2001 Moritz Barsnick <barsnick@gmx.net> 2.8-2
- rebuid with newly downloaded package which fixes wrong automake'd
  Makefiles; remove extra call of automake
- minor spec file changes
- update the patch from 2.7-3 which was omitted in 2.8-1
- add a patch to be compatible to old /bin/sh's - not really
  required for Linux (but RPM is a portable tool :->)
- add a patch (yuck!) to remove the billiger.sms script - which
  incidentally was by me!; the service no longer exists
- add a patch for the provided scripts which includes Eric Laussage's
  fixes and removes all DOS line feeds
- todo: fix up tmpnam vs. mkstemp

* Sat Oct 13 2001 Moritz Barsnick <barsnick@gmx.net> 2.8-1
- update to 2.8
- disable the patch (see 2.7-3) for the time being
- the provided Makefiles, which were made with automake-1.5, are
  extremely buggy; add call of automake to rebuild them with
  older or newer version

* Fri Aug 03 2001 Moritz Barsnick <barsnick@gmx.net>  2.7-3
- include patch to fix configure with static included libskyutils

* Thu Aug 02 2001 Moritz Barsnick <barsnick@gmx.net> 2.7-2
- ooops - was using %{_tmpdir}, it's really called %%{_tmppath} for some
  reason
- still having problems with configure: --enable-skyutils always requires
  libskyutils.a during configure run

* Thu Aug 02 2001 Moritz Barsnick <barsnick@gmx.net> 2.7-1
- update to 2.7

* Fri Mar 16 2001 Moritz Barsnick <barsnick@gmx.net> 2.6-1
- update to 2.6

* Mon Feb 12 2001 Moritz Barsnick <barsnick@gmx.net> 2.5-1
- update to 2.5
- add License.txt to %doc

* Fri Feb 02 2001 Moritz Barsnick <barsnick@gmx.net> 2.4-1
- update to 2.4

* Wed Jan 03 2001 Moritz Barsnick <barsnick@gmx.net> 2.2-1
- update to 2.2
- build with rpm v4; sorry, don't know how to build an rpm v3 package with
  this version (yet)
- remove patches from package

* Sun Oct 29 2000 Moritz Barsnick <barsnick@gmx.net> 2.0-1
- update to 2.0
- disable debug+dump patch

* Sun Oct 08 2000 Moritz Barsnick <barsnick@gmx.net> 1.9-2
- add "legal" notice to description
- add patch for making "-d" = "dump" and "-v" = "verbose/debug"
  command line options, at least for skyutils, instead of compile
  time options

* Tue Oct 03 2000 Moritz Barsnick <barsnick@gmx.net> 1.9-1
- update to 1.9
- remove patches (the problem is partly solved, at least now builds
  fine on RedHat)
- correct spelling mistake in package description
- remove %post and %postun sections, they gave ugly script sections
- add "--enable-skyutils" to %%configure, so included SkyUtils are
  automatically used (we're linking statically)

* Mon Sep 18 2000 Moritz Barsnick <barsnick@gmx.net> 1.8-1
- update to 1.8
- update patches to 1.8
- rearrange datadir patch

* Fri Sep 15 2000 Moritz Barsnick <barsnick@gmx.net> 1.7-2
- add patch for spelling and clarification in man page
- add patch to display and use correct datadir from ./configure
  (includes patch for shorter length usage message)

* Fri Sep 15 2000 Moritz Barsnick <barsnick@gmx.net> 1.7-1
- first RPM
